wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifi_psk_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8_passphrase_len
uint8_t | au8_passphrase [M2M_MAX_PSK_LEN - 1]
uint8_t | au8_psk [PSK_CALC_LEN]
uint8_t | u8_psk_calculated
uint8_t | au8_rsv [2]

## Field Documentation

## ◆ au8_passphrase

uint8_t au8_passphrase[M2M_MAX_PSK_LEN - 1]

Passphrase, or ASCII representation of PSK if u8PassphraseLen is 64.

## ◆ au8_psk

uint8_t au8_psk[PSK_CALC_LEN]

PSK calculated by firmware. Driver sets this to 0.

## ◆ au8_rsv

uint8_t au8_rsv[2]

reserved for future use. set to 0.

## ◆ u8_passphrase_len

uint8_t u8_passphrase_len

Length of passphrase (8 to 63) or 64 if au8Passphrase contains ASCII representation of PSK.

## ◆ u8_psk_calculated

uint8_t u8_psk_calculated

flag used by firmware to avoid unnecessary recalculation of psk. driver sets this to 0.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h